Einige Komfort-Extensions gesucht (Einsteiger)

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Hi,


    ich hoffe ihr könnt mir helfen.


    Bin mal wieder dabei ff eine chance zu geben, da ich mir zwar durchaus der objektiven vorteile bewusst bin, allerdings mein subjektiver bedienbarkeitsanspruch einen wechsel von meinem ie basierenden slimbrowser bislang verhinderte.


    Dank einiger extensions bin ich auch schon recht weit, allerdings fehlt zum kompletten wechsel noch ein bischen was :D


    Also vielleicht könnt ihr mir sagen wie oder mit was ich meine ansprüche erfüllen kann.


    -Lesezeichen:
    Gibt es eine Möglichkeit einen zeilenumbruch einzubauen, so wie man es vom ie kennt?
    Ich weiß, ordner, aufräumen, etc., doch wäre so ein umbruch schon was feines.


    Ich habe zwar das gefunden:
    http://www.firefox-browser.de/…&postorder=asc&highlight=
    Allerdings blicke ich das mit der chrom.css nicht und bin mir auch nicht sicher ob dies überhaupt zu meinem problem passt.


    -Zoom:
    Gibt es eine möglichkeit einen richtigen zoom einzubauen, der sich auf die gesamte seite bezieht und nicht einfach nur die schriftgröße ändert?
    Der sb konnte das recht einfach und opera hat afaik diese möglichkeit auch.
    Der zoom sollte direkt erreichbar sein, also über einen button oder ähnliches


    Zurzeit benutze ich die schriftartenvergrößerung mittels mausgesten (mouse gestures 1.0.4), allerdings ist dies halt noch nicht das wahre.


    -Skin:
    Bitte nicht schlagen, aber ich bin ein gewohnheitstier und mir gefällt der ie look eigentlich nicht schlecht.
    Leider funzt mit 1.5 der luna 0.3 skin nicht mehr und eine alternative habe ich noch nicht gefunden, irgendwelche ideen?



    Soderle, ich denke das sind zurzeit meine größten anliegen.
    Benutzen tue ich den ff 1.5 und ansonsten habe ich diese extensions installiert:
    Mouse Gestures 1.0.4
    Duplicate Tab 0.6.2
    TMP 0.2.5.2
    No Script 1.1.3.4



    Vielen dank für eure mühen und


    mfg
    aces

  • Hi,


    colorzilla habe ich schon ausprobiert, so stelle ich mir den zoom auch vor.
    Nur leider ist der sehr umständlich zu erreichen.


    Oder kennt jmd eine möglichkeit den in mouse gestures zu integrieren, das wäre perfekt.



    Nach weiteren suchen scheint es ja keine möglichkeit zu geben die lz so anzupassen wie ich es mir vorstelle - leider.



    mfg
    aces

  • acesulfam


    Nimm statt colorzilla besser Pagezoom.


    Zur Integration in die MouseGestures:


    PageZoom.enlargePageZoom() (zum vergrößern)
    PageZoom.reducePageZoom() (zum verkleinern)
    PageZoom.resetPageZoom() (default-Größe)


    Muß jeweils mit einer Geste verknüpft werden, den entsprechenden Code dann unter Eigener JavaScript Code eintragen.


    Gruß,
    Bang

  • Hi,


    danke dir.


    Ich dusel hatte page zoom schon mehrfach installiert, leider immer mit strg+ gezoomt und mich dann gefragt warum man den diese extension braucht :autsch:


    Soviel zum thema details^^


    Zwar sind jedesmal 20% zoomen schon recht heftig, aber besser als nix.



    Und dann kommt gleich mal noch ne neue frage hinzu:
    Ich wollte mal chromedit ausprobieren, leider ist die verfügbare version noch nicht 1.5 fähig.
    Allerdings soll man das umgehen können, indem man in der .xpi den wert max=1.5 setzt.
    Leider lässt mich winrar die install.rdf nicht im .xpi bearbeiten und entpacken/packen funzt auch nicht.
    Womit also bearbeiten??



    mfg
    aces

  • Du kannst die XPI auch einfach in Zip umbenennen, dann entpacken, install.rdf ändern, wieder packen, wieder umbenennen.

    Lieber einmal zuviel paranoid als einmal zu wenig!

  • Hi,


    wenn ich die .xpi's über enpacken, zippen bearbeite und wieder umbenne,
    funzt das auch erstmal soweit.
    Will ich sie dann installieren (öffnen mit ff) geht der install-dialog auch erstmal gut, bis er kurz vor schluss abbricht mit der meldung:
    "Grund: Installationsscript nicht gefunden"


    Irgendwelche ideen?


    Verändert habe ich:


    Bei chromedit:
    in der install.rdf den max-wert auf 1.5


    Bei pagezoom:


    die pagezoom.jar aus \pagezoom-0.2.1\chrome
    an dieser stelle


    enlargePageZoom: function() {
    this.zoomAt(this.zoomPercent + 10);


    Hier den wert von 20 auf 10.
    Anonsten taucht der wet 20=standartzoomwert nirgends mehr auf ausser im verkleinerungspendant.



    mfg
    aces



    Edit: Nachdem ich endlich mal den speicherort der extensions gefunden habe, habe ich die ext. mal direkt bearbeitet, hier liegen sie ja entpackt vor.
    Leider ohne erfolg.


    Bei luna.03 bringt eine erhöhung der maxversion auf 1.5 leider nichts und
    pagezoom schieße ich mir durch die änderungen ab.
    Und chromedit bekomme ich ja gar nicht erst hierher installiert^^


    Edit2: Luna 0.3 problem hat sich erledigt, habe einen 1.5 passenden ie-skin gefunden

  • Die Zoomwerte von Pagezoom sind in der pagezoom.js festgelegt. Diese per rechtsklick im Editor öffnen
    und die Zeilen


    enlargePageZoom: function() {
    this.zoomAt(this.zoomPercent + 20);
    },


    reducePageZoom: function() {
    this.zoomAt(this.zoomPercent - 20);
    },


    entsprechend abändern. Erst entpackst du dazu die .jar mit WinRar (rechtsklick, hier entpacken) und verschiebst anschließend die gepackte original pagezoom.jar auf dein Desktop. Jetzt nimmst du oben beschriebene Änderung vor (die pagezoom.js findet sich im content-ordner), zurück, markierst content und locale-Ordner (beide, dazu strg gedrückt halten, dann rechtsklick, zu einem archiv hinzufügen, zip wählen (wichtig!), änderst den Namen von pagezoom.zip in pagezoom.jar und fertig.


    Wahrscheinlich reicht bei chromedit ein blosses ändern der max-version nicht aus, denk ich mal. Schon das von Road-Runner empfohlene probiert?


    Gruß,
    Bang

  • Zitat von Bang

    Wahrscheinlich reicht bei chromedit ein blosses ändern der max-version nicht aus, denk ich mal. Schon das von Road-Runner empfohlene probiert?


    doch, reicht aus. Ich vermute, acesulfam hat beim zusammenpacken etwas falsch gemacht. Die häufigsten Fehler sind wohl rar statt zip und install.rdf & co nicht direkt in der Zip sondern in einem Unterordner.

  • @acesulfarm


    Eigentlich mußt du die xpi noch nicht mal entpacken...:wink:


    Rechtsklick auf die .xpi, öffnen mit WinRar Archivierer, in dem sich jetzt öffnenden Fenster klickst du die install.rdf doppelt, änderst die max-Version, drückst schließen, beantwortest die Frage nach dem speichern mit ja und fertig. Geht auch so.


    Damit wären dann die von Dr.Evil genannten Fehlerquellen elegant umschifft und so geht es auch am schnellsten.


    Gruß,
    Bang

  • Hi,


    soderle, ich würde sagen ich widme mich erstmal dem pagezoom problem.
    Leider fühle ich mich schon fast nicht mehr im stande das heute zu machen :D


    Allerdings habe ich gemacht was bang gesagt hat, also die .jar mit dem editor geöffnet und diese einträge auf 10 geändert, dann gespeichert.
    Was ja nichts gebarcht hat.
    Also muss ich die .jar erst enpacken bevor die änderungen wirksam werden?
    So ganz verstehe ich die reihenfolge nicht.



    Habe mal die von von road-runner empfohlene extension installiert, allerdings weiß ich noch nicht ganz was ich damit machen soll :D



    mfg
    aces

  • Hi,


    ich habs geschafft :D
    Vielen Dank für eure hilfe.


    ChromEdit läuft jetzt auch, allerdings habe ich es mit local install hinbekommen, da lässt sich ja die versionsabfrage ignorieren.
    Auch wenn ich immer noch nicht weiß, was man damit macht^^



    mfg
    aces